curl --request GET \
--url https://service-sandbox.tazapay.com/v3/metadata/collection_account/wallet \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://service-sandbox.tazapay.com/v3/metadata/collection_account/wallet"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://service-sandbox.tazapay.com/v3/metadata/collection_account/wallet', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"capabilities": [
{
"payment_method_type": "stablecoin_usdt",
"type": [
"Ethereum",
"Tron"
],
"currencies": [
"USDT"
],
"transfer_limit": {
"min_limit": 1000,
"max_limit": 50000000,
"currency": "USD"
},
"on_behalf_of": {
"supported": true,
"restricted_industry_verticals": [
"gambling:online_casino",
"retail:firearms"
],
"additional_requirements": [
"entity_approval_required"
],
"restricted_account_holder_countries": [
"RU",
"IR"
]
},
"restricted_remitter_countries": [
"KP"
],
"setup_time": "instant"
},
{
"payment_method_type": "stablecoin_usdc",
"type": [
"Ethereum",
"Solana",
"Algorand",
"Arbitrum",
"Avalanche",
"Base",
"Flow",
"Hedera",
"Near",
"Noble",
"Polkadot",
"Polygon Pos",
"Stellar",
"Binance",
"Op Mainnet"
],
"currencies": [
"USDC"
],
"transfer_limit": {
"min_limit": 1000,
"max_limit": 50000000,
"currency": "USD"
},
"on_behalf_of": {
"supported": true,
"restricted_industry_verticals": [
"crypto:exchange",
"media:adult_content"
],
"additional_requirements": [
"entity_submission_required"
],
"restricted_account_holder_countries": [
"RU",
"BY",
"KP"
]
},
"restricted_remitter_countries": [
"US",
"CN"
],
"setup_time": "instant"
}
]
}Get Wallet Metadata
Returns metadata about the stablecoin wallets that can be created for a given entity. Use this to discover available blockchains, limits, compliance requirements, and on_behalf_of support.
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Stablecoin variants to filter by, in ISO format.
Entity identifier (starts with ent_, 24 characters). Set entity id to get wallet capabilities available for this particular entity. Capabilities not available for this entity wil be filtered out.
Set to true to get metadata for an on_behalf_of merchant. Set to false for a direct merchant.
Filter to a single rail, for example stablecoin_usdc.
Filter to specific blockchains, for example ethereum or tron.
Response
Wallet metadata for the given filters.
List of wallet capabilities available for the given filters.
Show child attributes
Show child attributes
Was this page helpful?